Search Gradle plugins

Version 2.7.1 (latest)

Created 15 October 2021.

ShipYak Not Shippable Marker, marks a lib as not shippable

Using the plugins DSL:

plugins {
  id "yakworks.not-shippable" version "2.7.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "org.yakworks:gradle-plugins:2.7.1"
  }
}

apply plugin: "yakworks.not-shippable"

Using the plugins DSL:

plugins {
  id("yakworks.not-shippable") version "2.7.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("org.yakworks:gradle-plugins:2.7.1")
  }
}

apply(plugin = "yakworks.not-shippable")

Learn how to apply plugins to subprojects